import { z } from "zod";
export declare const AliasSchema: z.ZodObject<z.extendShape<{
    docs: z.ZodOptional<z.ZodString>;
}, {
    alias: z.ZodString;
}>, "strict", z.ZodTypeAny, {
    docs?: string | undefined;
    alias: string;
}, {
    docs?: string | undefined;
    alias: string;
}>;
export declare type AliasSchema = z.infer<typeof AliasSchema>;
