"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorDeclarationSchema = void 0;
const zod_1 = require("zod");
const HttpErrorConfigurationSchema_1 = require("./HttpErrorConfigurationSchema");
const TypeDeclarationSchema_1 = require("./TypeDeclarationSchema");
const WithDocsSchema_1 = require("./WithDocsSchema");
exports.ErrorDeclarationSchema = WithDocsSchema_1.WithDocsSchema.extend({
    http: zod_1.z.optional(HttpErrorConfigurationSchema_1.HttpErrorConfigurationSchema),
    type: zod_1.z.optional(TypeDeclarationSchema_1.TypeDeclarationSchema),
});
