import { z } from "zod";
export declare const FailedResponseSchema: z.ZodObject<z.extendShape<{
    docs: z.ZodOptional<z.ZodString>;
}, {
    errors: z.ZodOptional<z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
        docs: z.ZodOptional<z.ZodString>;
    }, {
        error: z.ZodString;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        error: string;
    }, {
        docs?: string | undefined;
        error: string;
    }>]>, "many">>;
}>, "strict", z.ZodTypeAny, {
    docs?: string | undefined;
    errors?: (string | {
        docs?: string | undefined;
        error: string;
    })[] | undefined;
}, {
    docs?: string | undefined;
    errors?: (string | {
        docs?: string | undefined;
        error: string;
    })[] | undefined;
}>;
export declare type FailedResponseSchema = z.infer<typeof FailedResponseSchema>;
