import { z } from "zod";
export declare const HttpErrorConfigurationSchema: z.ZodObject<z.extendShape<{
    docs: z.ZodOptional<z.ZodString>;
}, {
    statusCode: z.ZodNumber;
}>, "strict", z.ZodTypeAny, {
    docs?: string | undefined;
    statusCode: number;
}, {
    docs?: string | undefined;
    statusCode: number;
}>;
export declare type HttpErrorConfigurationSchema = z.infer<typeof HttpErrorConfigurationSchema>;
