"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpResponseSchema = void 0;
const zod_1 = require("zod");
const FailedResponseSchema_1 = require("./FailedResponseSchema");
const HttpOkResponseSchema_1 = require("./HttpOkResponseSchema");
const WithDocsSchema_1 = require("./WithDocsSchema");
exports.HttpResponseSchema = zod_1.z.union([
    zod_1.z.string(),
    WithDocsSchema_1.WithDocsSchema.extend({
        encoding: zod_1.z.optional(zod_1.z.string()),
        ok: zod_1.z.optional(HttpOkResponseSchema_1.HttpOkResponseSchema),
        failed: zod_1.z.optional(FailedResponseSchema_1.FailedResponseSchema),
    }),
]);
