"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpServiceSchema = void 0;
const zod_1 = require("zod");
const BaseServiceSchema_1 = require("./BaseServiceSchema");
const HttpEndpointSchema_1 = require("./HttpEndpointSchema");
const HttpHeaderSchema_1 = require("./HttpHeaderSchema");
exports.HttpServiceSchema = BaseServiceSchema_1.BaseServiceSchema.extend({
    "base-path": zod_1.z.optional(zod_1.z.string()),
    headers: zod_1.z.optional(zod_1.z.record(HttpHeaderSchema_1.HttpHeaderSchema)),
    endpoints: zod_1.z.record(HttpEndpointSchema_1.HttpEndpointSchema),
});
