"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObjectSchema = void 0;
const zod_1 = require("zod");
const ObjectPropertySchema_1 = require("./ObjectPropertySchema");
const WithDocsSchema_1 = require("./WithDocsSchema");
exports.ObjectSchema = WithDocsSchema_1.WithDocsSchema.extend({
    extends: zod_1.z.optional(zod_1.z.union([zod_1.z.string(), zod_1.z.array(zod_1.z.string())])),
    properties: zod_1.z.record(ObjectPropertySchema_1.ObjectPropertySchema),
});
