"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServicesSchema = void 0;
const zod_1 = require("zod");
const HttpServiceSchema_1 = require("./HttpServiceSchema");
const WebSocketChannelSchema_1 = require("./WebSocketChannelSchema");
exports.ServicesSchema = zod_1.z.strictObject({
    http: zod_1.z.optional(zod_1.z.record(HttpServiceSchema_1.HttpServiceSchema)),
    websocket: zod_1.z.optional(zod_1.z.record(WebSocketChannelSchema_1.WebSocketChannelSchema)),
});
