"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnionSchema = void 0;
const zod_1 = require("zod");
const SingleUnionTypeSchema_1 = require("./SingleUnionTypeSchema");
const WithDocsSchema_1 = require("./WithDocsSchema");
exports.UnionSchema = WithDocsSchema_1.WithDocsSchema.extend({
    union: zod_1.z.record(SingleUnionTypeSchema_1.SingleUnionTypeSchema),
    discriminant: zod_1.z.optional(zod_1.z.string()),
});
