"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebSocketChannelSchema = void 0;
const zod_1 = require("zod");
const BaseServiceSchema_1 = require("./BaseServiceSchema");
const WebSocketMessengerSchema_1 = require("./WebSocketMessengerSchema");
exports.WebSocketChannelSchema = BaseServiceSchema_1.BaseServiceSchema.extend({
    path: zod_1.z.string(),
    client: zod_1.z.optional(WebSocketMessengerSchema_1.WebSocketMessengerSchema),
    server: zod_1.z.optional(WebSocketMessengerSchema_1.WebSocketMessengerSchema),
});
