"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebSocketOperationSchema = void 0;
const zod_1 = require("zod");
const WebSocketRequestSchema_1 = require("./WebSocketRequestSchema");
const WebSocketResponseSchema_1 = require("./WebSocketResponseSchema");
const WithDocsSchema_1 = require("./WithDocsSchema");
exports.WebSocketOperationSchema = WithDocsSchema_1.WithDocsSchema.extend({
    request: zod_1.z.optional(WebSocketRequestSchema_1.WebSocketRequestSchema),
    response: zod_1.z.optional(WebSocketResponseSchema_1.WebSocketResponseSchema),
});
