"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebSocketRequestSchema = void 0;
const zod_1 = require("zod");
const TypeDeclarationSchema_1 = require("./TypeDeclarationSchema");
const WithDocsSchema_1 = require("./WithDocsSchema");
exports.WebSocketRequestSchema = zod_1.z.union([
    zod_1.z.string(),
    WithDocsSchema_1.WithDocsSchema.extend({
        type: zod_1.z.optional(TypeDeclarationSchema_1.TypeDeclarationSchema),
        encoding: zod_1.z.optional(zod_1.z.string()),
    }),
]);
