"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebSocketResponseSchema = void 0;
const zod_1 = require("zod");
const FailedResponseSchema_1 = require("./FailedResponseSchema");
const WebSocketOkResponseSchema_1 = require("./WebSocketOkResponseSchema");
const WithDocsSchema_1 = require("./WithDocsSchema");
exports.WebSocketResponseSchema = zod_1.z.union([
    zod_1.z.string(),
    WithDocsSchema_1.WithDocsSchema.extend({
        encoding: zod_1.z.optional(zod_1.z.string()),
        ok: zod_1.z.optional(WebSocketOkResponseSchema_1.WebSocketOkResponseSchema),
        failed: zod_1.z.optional(FailedResponseSchema_1.FailedResponseSchema),
    }),
]);
