"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithDocsSchema = exports.WebSocketResponseSchema = exports.WebSocketRequestSchema = exports.WebSocketOperationSchema = exports.WebSocketOkResponseSchema = exports.WebSocketMessengerSchema = exports.WebSocketErrorSchema = exports.WebSocketChannelSchema = exports.UnionSchema = exports.TypeReferenceSchema = exports.TypeDeclarationSchema = exports.SingleUnionTypeSchema = exports.ServicesSchema = exports.ObjectSchema = exports.ObjectPropertySchema = exports.IdSchema = exports.HttpServiceSchema = exports.HttpResponseSchema = exports.HttpRequestSchema = exports.HttpQueryParameterSchema = exports.HttpParameterSchema = exports.HttpOkResponseSchema = exports.HttpHeaderSchema = exports.HttpErrorConfigurationSchema = exports.HttpEndpointSchema = exports.FernConfigurationSchema = exports.FailedResponseSchema = exports.ErrorReferenceSchema = exports.ErrorDeclarationSchema = exports.EnumSchema = exports.BaseServiceSchema = exports.AuthSchema = exports.AliasSchema = void 0;
var AliasSchema_1 = require("./AliasSchema");
Object.defineProperty(exports, "AliasSchema", { enumerable: true, get: function () { return AliasSchema_1.AliasSchema; } });
var AuthSchema_1 = require("./AuthSchema");
Object.defineProperty(exports, "AuthSchema", { enumerable: true, get: function () { return AuthSchema_1.AuthSchema; } });
var BaseServiceSchema_1 = require("./BaseServiceSchema");
Object.defineProperty(exports, "BaseServiceSchema", { enumerable: true, get: function () { return BaseServiceSchema_1.BaseServiceSchema; } });
var EnumSchema_1 = require("./EnumSchema");
Object.defineProperty(exports, "EnumSchema", { enumerable: true, get: function () { return EnumSchema_1.EnumSchema; } });
var ErrorDeclarationSchema_1 = require("./ErrorDeclarationSchema");
Object.defineProperty(exports, "ErrorDeclarationSchema", { enumerable: true, get: function () { return ErrorDeclarationSchema_1.ErrorDeclarationSchema; } });
var ErrorReferenceSchema_1 = require("./ErrorReferenceSchema");
Object.defineProperty(exports, "ErrorReferenceSchema", { enumerable: true, get: function () { return ErrorReferenceSchema_1.ErrorReferenceSchema; } });
var FailedResponseSchema_1 = require("./FailedResponseSchema");
Object.defineProperty(exports, "FailedResponseSchema", { enumerable: true, get: function () { return FailedResponseSchema_1.FailedResponseSchema; } });
var FernConfigurationSchema_1 = require("./FernConfigurationSchema");
Object.defineProperty(exports, "FernConfigurationSchema", { enumerable: true, get: function () { return FernConfigurationSchema_1.FernConfigurationSchema; } });
var HttpEndpointSchema_1 = require("./HttpEndpointSchema");
Object.defineProperty(exports, "HttpEndpointSchema", { enumerable: true, get: function () { return HttpEndpointSchema_1.HttpEndpointSchema; } });
var HttpErrorConfigurationSchema_1 = require("./HttpErrorConfigurationSchema");
Object.defineProperty(exports, "HttpErrorConfigurationSchema", { enumerable: true, get: function () { return HttpErrorConfigurationSchema_1.HttpErrorConfigurationSchema; } });
var HttpHeaderSchema_1 = require("./HttpHeaderSchema");
Object.defineProperty(exports, "HttpHeaderSchema", { enumerable: true, get: function () { return HttpHeaderSchema_1.HttpHeaderSchema; } });
var HttpOkResponseSchema_1 = require("./HttpOkResponseSchema");
Object.defineProperty(exports, "HttpOkResponseSchema", { enumerable: true, get: function () { return HttpOkResponseSchema_1.HttpOkResponseSchema; } });
var HttpParameterSchema_1 = require("./HttpParameterSchema");
Object.defineProperty(exports, "HttpParameterSchema", { enumerable: true, get: function () { return HttpParameterSchema_1.HttpParameterSchema; } });
var HttpQueryParameterSchema_1 = require("./HttpQueryParameterSchema");
Object.defineProperty(exports, "HttpQueryParameterSchema", { enumerable: true, get: function () { return HttpQueryParameterSchema_1.HttpQueryParameterSchema; } });
var HttpRequestSchema_1 = require("./HttpRequestSchema");
Object.defineProperty(exports, "HttpRequestSchema", { enumerable: true, get: function () { return HttpRequestSchema_1.HttpRequestSchema; } });
var HttpResponseSchema_1 = require("./HttpResponseSchema");
Object.defineProperty(exports, "HttpResponseSchema", { enumerable: true, get: function () { return HttpResponseSchema_1.HttpResponseSchema; } });
var HttpServiceSchema_1 = require("./HttpServiceSchema");
Object.defineProperty(exports, "HttpServiceSchema", { enumerable: true, get: function () { return HttpServiceSchema_1.HttpServiceSchema; } });
var IdSchema_1 = require("./IdSchema");
Object.defineProperty(exports, "IdSchema", { enumerable: true, get: function () { return IdSchema_1.IdSchema; } });
var ObjectPropertySchema_1 = require("./ObjectPropertySchema");
Object.defineProperty(exports, "ObjectPropertySchema", { enumerable: true, get: function () { return ObjectPropertySchema_1.ObjectPropertySchema; } });
var ObjectSchema_1 = require("./ObjectSchema");
Object.defineProperty(exports, "ObjectSchema", { enumerable: true, get: function () { return ObjectSchema_1.ObjectSchema; } });
var ServicesSchema_1 = require("./ServicesSchema");
Object.defineProperty(exports, "ServicesSchema", { enumerable: true, get: function () { return ServicesSchema_1.ServicesSchema; } });
var SingleUnionTypeSchema_1 = require("./SingleUnionTypeSchema");
Object.defineProperty(exports, "SingleUnionTypeSchema", { enumerable: true, get: function () { return SingleUnionTypeSchema_1.SingleUnionTypeSchema; } });
var TypeDeclarationSchema_1 = require("./TypeDeclarationSchema");
Object.defineProperty(exports, "TypeDeclarationSchema", { enumerable: true, get: function () { return TypeDeclarationSchema_1.TypeDeclarationSchema; } });
var TypeReferenceSchema_1 = require("./TypeReferenceSchema");
Object.defineProperty(exports, "TypeReferenceSchema", { enumerable: true, get: function () { return TypeReferenceSchema_1.TypeReferenceSchema; } });
var UnionSchema_1 = require("./UnionSchema");
Object.defineProperty(exports, "UnionSchema", { enumerable: true, get: function () { return UnionSchema_1.UnionSchema; } });
var WebSocketChannelSchema_1 = require("./WebSocketChannelSchema");
Object.defineProperty(exports, "WebSocketChannelSchema", { enumerable: true, get: function () { return WebSocketChannelSchema_1.WebSocketChannelSchema; } });
var WebSocketErrorSchema_1 = require("./WebSocketErrorSchema");
Object.defineProperty(exports, "WebSocketErrorSchema", { enumerable: true, get: function () { return WebSocketErrorSchema_1.WebSocketErrorSchema; } });
var WebSocketMessengerSchema_1 = require("./WebSocketMessengerSchema");
Object.defineProperty(exports, "WebSocketMessengerSchema", { enumerable: true, get: function () { return WebSocketMessengerSchema_1.WebSocketMessengerSchema; } });
var WebSocketOkResponseSchema_1 = require("./WebSocketOkResponseSchema");
Object.defineProperty(exports, "WebSocketOkResponseSchema", { enumerable: true, get: function () { return WebSocketOkResponseSchema_1.WebSocketOkResponseSchema; } });
var WebSocketOperationSchema_1 = require("./WebSocketOperationSchema");
Object.defineProperty(exports, "WebSocketOperationSchema", { enumerable: true, get: function () { return WebSocketOperationSchema_1.WebSocketOperationSchema; } });
var WebSocketRequestSchema_1 = require("./WebSocketRequestSchema");
Object.defineProperty(exports, "WebSocketRequestSchema", { enumerable: true, get: function () { return WebSocketRequestSchema_1.WebSocketRequestSchema; } });
var WebSocketResponseSchema_1 = require("./WebSocketResponseSchema");
Object.defineProperty(exports, "WebSocketResponseSchema", { enumerable: true, get: function () { return WebSocketResponseSchema_1.WebSocketResponseSchema; } });
var WithDocsSchema_1 = require("./WithDocsSchema");
Object.defineProperty(exports, "WithDocsSchema", { enumerable: true, get: function () { return WithDocsSchema_1.WithDocsSchema; } });
