import { z } from "zod";
export declare const BaseServiceSchema: z.ZodObject<z.extendShape<{
    docs: z.ZodOptional<z.ZodString>;
}, {
    auth: z.ZodEnum<["bearer", "none"]>;
}>, "strict", z.ZodTypeAny, {
    docs?: string | undefined;
    auth: "bearer" | "none";
}, {
    docs?: string | undefined;
    auth: "bearer" | "none";
}>;
export declare type BaseServiceSchema = z.infer<typeof BaseServiceSchema>;
