import { z } from "zod";
export declare const EnumSchema: z.ZodObject<z.extendShape<{
    docs: z.ZodOptional<z.ZodString>;
}, {
    enum: z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
        docs: z.ZodOptional<z.ZodString>;
    }, {
        name: z.ZodOptional<z.ZodString>;
        value: z.ZodString;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        name?: string | undefined;
        value: string;
    }, {
        docs?: string | undefined;
        name?: string | undefined;
        value: string;
    }>]>, "many">;
}>, "strict", z.ZodTypeAny, {
    docs?: string | undefined;
    enum: (string | {
        docs?: string | undefined;
        name?: string | undefined;
        value: string;
    })[];
}, {
    docs?: string | undefined;
    enum: (string | {
        docs?: string | undefined;
        name?: string | undefined;
        value: string;
    })[];
}>;
export declare type EnumSchema = z.infer<typeof EnumSchema>;
