import { z } from "zod";
export declare const ObjectSchema: z.ZodObject<z.extendShape<{
    docs: z.ZodOptional<z.ZodString>;
}, {
    extends: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    properties: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
        type: z.ZodOptional<z.ZodString>;
    }, {
        docs: z.ZodOptional<z.ZodString>;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        type?: string | undefined;
    }, {
        docs?: string | undefined;
        type?: string | undefined;
    }>]>>;
}>, "strict", z.ZodTypeAny, {
    docs?: string | undefined;
    extends?: string | string[] | undefined;
    properties: Record<string, string | {
        docs?: string | undefined;
        type?: string | undefined;
    }>;
}, {
    docs?: string | undefined;
    extends?: string | string[] | undefined;
    properties: Record<string, string | {
        docs?: string | undefined;
        type?: string | undefined;
    }>;
}>;
export declare type ObjectSchema = z.infer<typeof ObjectSchema>;
