import { z } from "zod";
export declare const UnionSchema: z.ZodObject<z.extendShape<{
    docs: z.ZodOptional<z.ZodString>;
}, {
    union: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
        type: z.ZodOptional<z.ZodString>;
    }, {
        docs: z.ZodOptional<z.ZodString>;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        type?: string | undefined;
    }, {
        docs?: string | undefined;
        type?: string | undefined;
    }>]>>;
    discriminant: z.ZodOptional<z.ZodString>;
}>, "strict", z.ZodTypeAny, {
    docs?: string | undefined;
    discriminant?: string | undefined;
    union: Record<string, string | {
        docs?: string | undefined;
        type?: string | undefined;
    }>;
}, {
    docs?: string | undefined;
    discriminant?: string | undefined;
    union: Record<string, string | {
        docs?: string | undefined;
        type?: string | undefined;
    }>;
}>;
export declare type UnionSchema = z.infer<typeof UnionSchema>;
