"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnumSchema = void 0;
const zod_1 = require("zod");
const WithDocsSchema_1 = require("./WithDocsSchema");
exports.EnumSchema = WithDocsSchema_1.WithDocsSchema.extend({
    enum: zod_1.z.array(zod_1.z.union([
        zod_1.z.string(),
        WithDocsSchema_1.WithDocsSchema.extend({
            name: zod_1.z.optional(zod_1.z.string()),
            value: zod_1.z.string(),
        }),
    ])),
});
