"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdSchema = void 0;
const zod_1 = require("zod");
const WithDocsSchema_1 = require("./WithDocsSchema");
exports.IdSchema = zod_1.z.union([
    zod_1.z.string(),
    WithDocsSchema_1.WithDocsSchema.extend({
        name: zod_1.z.string(),
        type: zod_1.z.optional(zod_1.z.union([zod_1.z.literal("string"), zod_1.z.literal("uuid")])),
    }),
]);
