import { z } from "zod";
export declare const WebSocketRequestSchema: z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
    docs: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
        docs: z.ZodOptional<z.ZodString>;
    }, {
        extends: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        properties: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
            type: z.ZodOptional<z.ZodString>;
        }, {
            docs: z.ZodOptional<z.ZodString>;
        }>, "strict", z.ZodTypeAny, {
            docs?: string | undefined;
            type?: string | undefined;
        }, {
            docs?: string | undefined;
            type?: string | undefined;
        }>]>>;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        extends?: string | string[] | undefined;
        properties: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    }, {
        docs?: string | undefined;
        extends?: string | string[] | undefined;
        properties: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    }>, z.ZodObject<z.extendShape<{
        docs: z.ZodOptional<z.ZodString>;
    }, {
        union: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
            type: z.ZodOptional<z.ZodString>;
        }, {
            docs: z.ZodOptional<z.ZodString>;
        }>, "strict", z.ZodTypeAny, {
            docs?: string | undefined;
            type?: string | undefined;
        }, {
            docs?: string | undefined;
            type?: string | undefined;
        }>]>>;
        discriminant: z.ZodOptional<z.ZodString>;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        discriminant?: string | undefined;
        union: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    }, {
        docs?: string | undefined;
        discriminant?: string | undefined;
        union: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    }>, z.ZodObject<z.extendShape<{
        docs: z.ZodOptional<z.ZodString>;
    }, {
        alias: z.ZodString;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        alias: string;
    }, {
        docs?: string | undefined;
        alias: string;
    }>, z.ZodObject<z.extendShape<{
        docs: z.ZodOptional<z.ZodString>;
    }, {
        enum: z.ZodArray<z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
            docs: z.ZodOptional<z.ZodString>;
        }, {
            name: z.ZodOptional<z.ZodString>;
            value: z.ZodString;
        }>, "strict", z.ZodTypeAny, {
            docs?: string | undefined;
            name?: string | undefined;
            value: string;
        }, {
            docs?: string | undefined;
            name?: string | undefined;
            value: string;
        }>]>, "many">;
    }>, "strict", z.ZodTypeAny, {
        docs?: string | undefined;
        enum: (string | {
            docs?: string | undefined;
            name?: string | undefined;
            value: string;
        })[];
    }, {
        docs?: string | undefined;
        enum: (string | {
            docs?: string | undefined;
            name?: string | undefined;
            value: string;
        })[];
    }>]>>;
    encoding: z.ZodOptional<z.ZodString>;
}>, "strict", z.ZodTypeAny, {
    docs?: string | undefined;
    type?: string | {
        docs?: string | undefined;
        alias: string;
    } | {
        docs?: string | undefined;
        enum: (string | {
            docs?: string | undefined;
            name?: string | undefined;
            value: string;
        })[];
    } | {
        docs?: string | undefined;
        extends?: string | string[] | undefined;
        properties: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    } | {
        docs?: string | undefined;
        discriminant?: string | undefined;
        union: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    } | undefined;
    encoding?: string | undefined;
}, {
    docs?: string | undefined;
    type?: string | {
        docs?: string | undefined;
        alias: string;
    } | {
        docs?: string | undefined;
        enum: (string | {
            docs?: string | undefined;
            name?: string | undefined;
            value: string;
        })[];
    } | {
        docs?: string | undefined;
        extends?: string | string[] | undefined;
        properties: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    } | {
        docs?: string | undefined;
        discriminant?: string | undefined;
        union: Record<string, string | {
            docs?: string | undefined;
            type?: string | undefined;
        }>;
    } | undefined;
    encoding?: string | undefined;
}>]>;
export declare type WebSocketRequestSchema = z.infer<typeof WebSocketRequestSchema>;
