import { z } from "zod";
export declare const ErrorReferenceSchema: z.ZodObject<z.extendShape<{
    docs: z.ZodOptional<z.ZodString>;
}, {
    error: z.ZodString;
}>, "strict", z.ZodTypeAny, {
    docs?: string | undefined;
    error: string;
}, {
    docs?: string | undefined;
    error: string;
}>;
export declare type ErrorReferenceSchema = z.infer<typeof ErrorReferenceSchema>;
