import { z } from "zod";
export declare const HttpQueryParameterSchema: z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
    type: z.ZodOptional<z.ZodString>;
}, {
    docs: z.ZodOptional<z.ZodString>;
}>, "strict", z.ZodTypeAny, {
    docs?: string | undefined;
    type?: string | undefined;
}, {
    docs?: string | undefined;
    type?: string | undefined;
}>]>;
export declare type HttpQueryParameterSchema = z.infer<typeof HttpQueryParameterSchema>;
