import { z } from "zod";
export declare const IdSchema: z.ZodUnion<[z.ZodString, z.ZodObject<z.extendShape<{
    docs: z.ZodOptional<z.ZodString>;
}, {
    name: z.ZodString;
    type: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"string">, z.ZodLiteral<"uuid">]>>;
}>, "strict", z.ZodTypeAny, {
    docs?: string | undefined;
    type?: "string" | "uuid" | undefined;
    name: string;
}, {
    docs?: string | undefined;
    type?: "string" | "uuid" | undefined;
    name: string;
}>]>;
export declare type IdSchema = z.infer<typeof IdSchema>;
